# Returns a color value normalized to "new"
def renorm(color_value, new, old=255):
    return tuple([spec*new/old for spec in color_value])


# Converts rgb value with norm=255 to hex string
def rgb_hex(rgb):
    return '#%02x%02x%02x' % tuple([int(spec) for spec in rgb])


# Converts hex value to rgb with norm=255
def hex_rgb(hex_):
    return tuple(int(hex_[i:i + 2], 16) for i in (1, 3, 5))


# Converts rgb color to grayscale
# This can be used to visualize how a palette would look if printed in black and white
def grayscale(rgb):
    ws = (0.3, 0.59, 0.11)
    return (sum(rgb[i]*ws[i] for i in range(3)),)*3